#57 [FYI] abnormal aria2 behavior in a specific case

open
nobody
None
1
2012-09-28
2007-09-17
No

hi,

tested on win32 / not on linux

when i unplug my DSL connexion, my AH4021 hitachi
modem-router answer in all HTTP requets and display me a webpage which contains "you're not connected, please check cables, your login, your password blah blah blah blah blah blah..." it is logic because the modem was
unplugged and it contains a small linux firware
with built-in HTTP server (named "micro_httpd")

the trouble is when i'm on this unplugging state
"aria2c -l image.log http://test-debit.free.fr/image.iso" gives me
an 0 bytes file on my HD and the state of this file
is good grin !

******* log

2007-09-17 19:38:14 INFO - aria2c 0.11.3
2007-09-17 19:38:14 INFO - Logging started.
2007-09-17 19:38:14 INFO - CUID#4 - Resolving hostname test-debit.free.fr
2007-09-17 19:38:14 INFO - CUID#4 - Name resolution complete: test-debit.free.fr -> 192.168.1.1
2007-09-17 19:38:14 INFO - CUID#4 - Connecting to test-debit.free.fr:80
2007-09-17 19:38:14 INFO - CUID#4 - Requesting:
GET /image.iso HTTP/1.1
User-Agent: aria2
Accept: /
Host: test-debit.free.fr
Pragma: no-cache
Cache-Control: no-cache
Connection: close

2007-09-17 19:38:14 INFO - CUID#4 - Response received:
HTTP/1.1 200 Ok
Server: micro_httpd
Cache-Control: no-cache
Date: Mon, 17 Sep 2007 19:38:19 GMT
Content-Type: text/html
Connection: close
2007-09-17 19:38:14 NOTICE - Download complete: ./image.iso
2007-09-17 19:38:14 DEBUG - 1 RequestGroup(s) deleted.

Discussion

  • Nobody/Anonymous

    Logged In: NO

    sebone says is this bug has been fixed recently ?

     
  • Wolfgang Hamann

    Wolfgang Hamann - 2008-01-01

    Logged In: YES
    user_id=627454
    Originator: NO

    this looks like a bug in your router or system ... after all that one produces an invalid dns result.
    I am pretty sure wget would also capture the response from the dsl modem and be happy

     
  • Sebastien WILLEMIJNS

    Logged In: YES
    user_id=433875
    Originator: YES

    you're false in the first part of your answer
    you're right in the second and last part ;)

    ... and the bug is not repaired in fact ;) because i hasn't flushed DNS data ;)

    This day, i have flushed in XP all network information (right click on "repait" on my network card configuration), unplugged my phone/DSL plug and reboot modem

    When DSL synchronization is not detected, my modem-router answer to ALL IP request
    and transform every "XXX.XXX.XXX.XXX" to "192.168.1.1" request.

    I'm agree all DL manager "stupidly" download data because it is always local data
    (192.168.1.1) whatever asked IP you want.


    FOR MY MODEM:
    When internet works well no soucy !
    When no DSL synchronization (no internet in fact):
    - if DNS resolution is not on the Operation System DNS cache => timeout
    - an FTP request to any IP gives 421 error
    - an HTTP request to any IP gives in all cases

    <html>
    <head>
    <meta HTTP-EQUIV="content-type" CONTENT="text/html;charset=ISO-8859-1"/>
    ALICE BOX
    <script language="javascript">

    </script>
    <frameset rows="89,*,15" border="0" frameborder="0" framespacing="0">
    <frame src="logo.html" name="logofrm" frameborder="no" border="0" scrolling="no" target="_self" marginwidth="0" marginheight="0" noresize="">
    <frame src="adsl_disconnect1.html" name="basefrm" frameborder="no" border="0" scrolling="auto" target="_self" marginwidth="0" marginheight="16" noresize="">
    <frame src="footer.html" name="footerfrm" frameborder="no" border="0" scrolling="no" target="_self" marginwidth="0" marginheight="0" noresize="">
    </frameset>
    </head>
    </html>

    now see debug file when i have no internet, you can see 192.168.1.1 answers to my
    80.247.230.136 request ;)

    * ping 80.247.230.136

    Envoi d'une requˆte 'ping' sur 80.247.230.136 avec 32 octets de donn‚esÿ:

    R‚ponse de 192.168.1.1ÿ: Impossible de joindre le r‚seau de destination.
    R‚ponse de 192.168.1.1ÿ: Impossible de joindre le r‚seau de destination.
    R‚ponse de 192.168.1.1ÿ: Impossible de joindre le r‚seau de destination.
    R‚ponse de 192.168.1.1ÿ: Impossible de joindre le r‚seau de destination.

    Statistiques Ping pour 80.247.230.136:
    Paquetsÿ: envoy‚s = 4, re‡us = 4, perdus = 0 (perte 0%),

    Dur‚e approximative des boucles en millisecondes :
    Minimum = 0ms, Maximum = 0ms, Moyenne = 0ms

    * d:\aria2\aria2c.exe http://vdsswi.nfrance.com/blah.iso

    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    [#1 SIZE:0B/0B CN:1 SPD:0.00KiB/s]
    2008-01-01 14:38:13 ERROR - CUID#5 - Download aborted. URI=http://vdsswi.nfrance.com/blah.iso
    2008-01-01 14:38:13 ERROR - exception: Timeout.

    Download Results:
    (OK):download completed.(ERR):error occurred.(INPR):download in-progress.
    gid|stat|path/URI
    ===+====+======================================================================
    1| ERR|http://vdsswi.nfrance.com/blah.iso

    * d:\aria2\aria2c.exe http://80.247.230.136/blah.iso

    2008-01-01 14:38:14 NOTICE - Download complete: ./blah.iso

    Download Results:
    (OK):download completed.(ERR):error occurred.(INPR):download in-progress.
    gid|stat|path/URI
    ===+====+======================================================================
    1| OK|./blah.iso

     
  • Wolfgang Hamann

    Wolfgang Hamann - 2008-01-01

    Logged In: YES
    user_id=627454
    Originator: NO

    the result message seems to contradict itself - there was an error but the file is ok.
    Maybe this is meant to say that the file is valid for resuming?

     
  • Sebastien WILLEMIJNS

    Logged In: YES
    user_id=433875
    Originator: YES

    yes it is logic in a technically manner: when internet is off, every download
    with a fixed IP or an DNS resolution which was already done (and yet valid with a good TTL) in the operating system DNS cache equals to this page:

    <html>
    <head>
    <meta HTTP-EQUIV="content-type" CONTENT="text/html;charset=ISO-8859-1"/>
    ALICE BOX
    <script language="javascript">
    <!-- hide
    var lanip = '192.168.1.1';
    [...]

    in others words, when i unplug my phone DSL line, i always will see this page in my browser if i type http://1.2.3.4 , http://5.6.7.8 , http:// 130.14.150.16 or others http://80.247.230.136

    aria2 (and i think curl, pavuk and others wget) will download this page but in real
    IP is 192.168.1.1 not IP i have typed in the commandline because my modem-router
    modify on the fly all IP in the "no internet state"

     
  • Ant Bryan

    Ant Bryan - 2009-06-15

    is this issue still valid?

    is there a workaround?

    if not, and curl/wget have the same issue, possibly won't fix?

     
  • Nobody/Anonymous

    I think yes it is the same case, i must sniff network packet to understood this specific case but i only want to do it not for nothing ;) this case is only for classical HTTP/FTP without metalink ;)

     
  • tujikawa

    tujikawa - 2010-01-15

    No update for long time. I change status to pending.

     
  • SourceForge Robot

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • tujikawa

    tujikawa - 2010-01-30

    I think this is not a bug of aria2, but leave it open as FYI.

     
  • Sebastien WILLEMIJNS

    absolutly ;)

    DSL fails * some routers * only HTTP downloads

    0.5% * 0.5%* 33% of downloads -CAN- be on this case...

    metalink (with hash code) and BitTiorrent (with HTTP webseeding only) will be protected of this case coz hash code will be never good ;)

    To finish on the subject, this case can be reproduced with any browser or downloads managers...

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks